robotpkg/wip/py-sot-application bulk build results

Log for py35-sot-application-1.0.0r2 on Ubuntu-16.04-x86_64: bulk.log (Back)

=> Checking for clear installation ===> Installing bootstrap dependencies for py35-sot-application-1.0.0r2 => Installing digest-20080510.tgz => Installing tnftp-20130505~ssl.tgz ===> Checking bootstrap dependencies for py35-sot-application-1.0.0r2 => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.20 found => Required system package gzip: gzip-1.6 found => Required system package patch>=2.0: patch-2.7.5 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.7: pkg_install-20110805.7 found => Required system package pkgrepo2deb>=1.2.1: pkgrepo2deb-1.2.1 found ===> Done bootstrap-depends for py35-sot-application-1.0.0r2 ===> Installing full dependencies for py35-sot-application-1.0.0r2 => Dependency digest-20080510 already installed => Installing sot-dynamic-2.9.2.tgz => Dependency tnftp-20130505~ssl already installed ===> Checking build options for py35-sot-application-1.0.0r2 => Building with no option. ===> Checking alternatives for py35-sot-application-1.0.0r2 => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-3.5: python>=2.5<3.7 provided by python35>=3.5<3.6 ===> Checking dependencies for py35-sot-application-1.0.0r2 => Required system package cmake>=2.6: cmake-3.5.1 found => Required system package doxygen>=1.5: doxygen-1.8.11 found => Required system package g++>=3: g++-5.4.0 found => Required system package gcc>=3: gcc-5.4.0 found => Required system package graphviz>=2: graphviz-2.38.0 found => Required system package libstdc++: libstdc++ found => Required system package pdflatex: pdflatex found => Required system package pkg-config>=0.22: pkg-config-0.29.1 found => Required system package py-sphinx>=1.1: py-sphinx-1.3.6 found => Required system package python35>=3.5<3.6: python35-3.5.2 found => Required robotpkg package sot-dynamic>=2.5: sot-dynamic-2.9.2 found ===> Done depends for py35-sot-application-1.0.0r2 ===> Extracting for py35-sot-application-1.0.0r2 => SHA1 checksums OK => RMD160 checksums OK ===> Patching for py35-sot-application-1.0.0r2 => Applying robotpkg patches for py35-sot-application-1.0.0r2 ===> Configuring for py35-sot-application-1.0.0r2 ===> Building for py35-sot-application-1.0.0r2 ===> Installing for py35-sot-application-1.0.0r2 warning: Tag `SYMBOL_CACHE_SIZE' at line 299 of file `Doxyfile' has become obsolete. To avoid this warning please remove this line from your configuration file or upgrade it using "doxygen -u" warning: Tag `SHOW_DIRECTORIES' at line 493 of file `Doxyfile' has become obsolete. To avoid this warning please remove this line from your configuration file or upgrade it using "doxygen -u" warning: Tag `HTML_ALIGN_MEMBERS' at line 828 of file `Doxyfile' has become obsolete. To avoid this warning please remove this line from your configuration file or upgrade it using "doxygen -u" warning: Tag `USE_INLINE_TREES' at line 997 of file `Doxyfile' has become obsolete. To avoid this warning please remove this line from your configuration file or upgrade it using "doxygen -u" warning: Tag `XML_SCHEMA' at line 1199 of file `Doxyfile' has become obsolete. To avoid this warning please remove this line from your configuration file or upgrade it using "doxygen -u" warning: Tag `XML_DTD' at line 1205 of file `Doxyfile' has become obsolete. To avoid this warning please remove this line from your configuration file or upgrade it using "doxygen -u" warning: doxygen no longer ships with the FreeSans font. You may want to clear or change DOT_FONTNAME. Otherwise you run the risk that the wrong font is being used for dot generated graphs. CMake Error at src/cmake_install.cmake:44 (file): file cannot create directory: /dynamic_graph/sot/application. Maybe need administrative privileges. Call Stack (most recent call first): cmake_install.cmake:69 (include) make: *** [install] Error 1 An unexpected error occured. The last 10 log lines are shown below. /local/robotpkg/var/lib/robotpkg/mk/install/install.mk:303: recipe for target 'do-install' failed | CMake Error at src/cmake_install.cmake:44 (file): | file cannot create directory: /dynamic_graph/sot/application. Maybe need | administrative privileges. | Call Stack (most recent call first): | cmake_install.cmake:69 (include) | | | | Makefile:86: recipe for target 'install' failed | make: *** [install] Error 1 For details or bug reports, check the complete log file in: /local/robotpkg/var/tmp/robotpkg/wip/py-sot-application/work/install.log make[4]: *** [do-install] Error 2 => Adding run-time search paths to pkg-config files => Compiling python files File lib/python3.5/site-packages/dynamic_graph/sot/application/__init__.py could not be found File lib/python3.5/site-packages/dynamic_graph/sot/application/acceleration/__init__.py could not be found File lib/python3.5/site-packages/dynamic_graph/sot/application/acceleration/precomputed_meta_tasks.py could not be found File lib/python3.5/site-packages/dynamic_graph/sot/application/velocity/__init__.py could not be found File lib/python3.5/site-packages/dynamic_graph/sot/application/velocity/precomputed_meta_tasks.py could not be found File lib/python3.5/site-packages/dynamic_graph/sot/application/velocity/precomputed_tasks.py could not be found => Undoing failed installation rm: cannot remove '/opt/openrobots/': Is a directory make[3]: *** [install-failed] Error 1 /local/robotpkg/var/lib/robotpkg/mk/install/install.mk:263: recipe for target 'install-failed' failed make[2]: *** [pkg-check-installed] Error 2 /local/robotpkg/var/lib/robotpkg/mk/pkg/package.mk:42: recipe for target 'pkg-check-installed' failed => Marking py35-sot-application-1.0.0r2 as broken ERROR: make: *** [package] Error 2 ===> Deinstalling for py35-sot-application Removed digest-20080510 Removing dependency jrl-dynamics-1.25.0r1 Removing dependency py27-sot-tools-1.0.1 Removing dependency sot-core-2.9.10 Removing dependency Removed sot-dynamic-2.9.2 Removed tnftp-20130505~ssl